// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

/**
 * <pre>
 * Generation status
 * </pre>
 *
 * Protobuf type {@code generationmodule.GenerationStatus}
 */
public final class GenerationStatus extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:generationmodule.GenerationStatus)
    GenerationStatusOrBuilder {
private static final long serialVersionUID = 0L;
  // Use GenerationStatus.newBuilder() to construct.
  private GenerationStatus(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private GenerationStatus() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new GenerationStatus();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatus_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatus_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.generationmodule.GenerationStatus.class, openfmb.generationmodule.GenerationStatus.Builder.class);
  }

  public static final int STATUSVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusValue statusValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  @java.lang.Override
  public boolean hasStatusValue() {
    return statusValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValue getStatusValue() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }

  public static final int GENERATIONSTATUSZGEN_FIELD_NUMBER = 2;
  private openfmb.generationmodule.GenerationStatusZGEN generationStatusZGEN_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   * @return Whether the generationStatusZGEN field is set.
   */
  @java.lang.Override
  public boolean hasGenerationStatusZGEN() {
    return generationStatusZGEN_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   * @return The generationStatusZGEN.
   */
  @java.lang.Override
  public openfmb.generationmodule.GenerationStatusZGEN getGenerationStatusZGEN() {
    return generationStatusZGEN_ == null ? openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance() : generationStatusZGEN_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
   */
  @java.lang.Override
  public openfmb.generationmodule.GenerationStatusZGENOrBuilder getGenerationStatusZGENOrBuilder() {
    return generationStatusZGEN_ == null ? openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance() : generationStatusZGEN_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusValue_ != null) {
      output.writeMessage(1, getStatusValue());
    }
    if (generationStatusZGEN_ != null) {
      output.writeMessage(2, getGenerationStatusZGEN());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusValue());
    }
    if (generationStatusZGEN_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getGenerationStatusZGEN());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.generationmodule.GenerationStatus)) {
      return super.equals(obj);
    }
    openfmb.generationmodule.GenerationStatus other = (openfmb.generationmodule.GenerationStatus) obj;

    if (hasStatusValue() != other.hasStatusValue()) return false;
    if (hasStatusValue()) {
      if (!getStatusValue()
          .equals(other.getStatusValue())) return false;
    }
    if (hasGenerationStatusZGEN() != other.hasGenerationStatusZGEN()) return false;
    if (hasGenerationStatusZGEN()) {
      if (!getGenerationStatusZGEN()
          .equals(other.getGenerationStatusZGEN())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusValue()) {
      hash = (37 * hash) + STATUSVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getStatusValue().hashCode();
    }
    if (hasGenerationStatusZGEN()) {
      hash = (37 * hash) + GENERATIONSTATUSZGEN_FIELD_NUMBER;
      hash = (53 * hash) + getGenerationStatusZGEN().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.generationmodule.GenerationStatus parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatus parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatus parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatus parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.generationmodule.GenerationStatus prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Generation status
   * </pre>
   *
   * Protobuf type {@code generationmodule.GenerationStatus}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:generationmodule.GenerationStatus)
      openfmb.generationmodule.GenerationStatusOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatus_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatus_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.generationmodule.GenerationStatus.class, openfmb.generationmodule.GenerationStatus.Builder.class);
    }

    // Construct using openfmb.generationmodule.GenerationStatus.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      generationStatusZGEN_ = null;
      if (generationStatusZGENBuilder_ != null) {
        generationStatusZGENBuilder_.dispose();
        generationStatusZGENBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatus_descriptor;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatus getDefaultInstanceForType() {
      return openfmb.generationmodule.GenerationStatus.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatus build() {
      openfmb.generationmodule.GenerationStatus result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatus buildPartial() {
      openfmb.generationmodule.GenerationStatus result = new openfmb.generationmodule.GenerationStatus(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.generationmodule.GenerationStatus result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusValue_ = statusValueBuilder_ == null
            ? statusValue_
            : statusValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.generationStatusZGEN_ = generationStatusZGENBuilder_ == null
            ? generationStatusZGEN_
            : generationStatusZGENBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.generationmodule.GenerationStatus) {
        return mergeFrom((openfmb.generationmodule.GenerationStatus)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.generationmodule.GenerationStatus other) {
      if (other == openfmb.generationmodule.GenerationStatus.getDefaultInstance()) return this;
      if (other.hasStatusValue()) {
        mergeStatusValue(other.getStatusValue());
      }
      if (other.hasGenerationStatusZGEN()) {
        mergeGenerationStatusZGEN(other.getGenerationStatusZGEN());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getGenerationStatusZGENFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusValue statusValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> statusValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusValue field is set.
     */
    public boolean hasStatusValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusValue.
     */
    public openfmb.commonmodule.StatusValue getStatusValue() {
      if (statusValueBuilder_ == null) {
        return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      } else {
        return statusValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusValue_ = value;
      } else {
        statusValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(
        openfmb.commonmodule.StatusValue.Builder builderForValue) {
      if (statusValueBuilder_ == null) {
        statusValue_ = builderForValue.build();
      } else {
        statusValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusValue_ != null &&
          statusValue_ != openfmb.commonmodule.StatusValue.getDefaultInstance()) {
          getStatusValueBuilder().mergeFrom(value);
        } else {
          statusValue_ = value;
        }
      } else {
        statusValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValue.Builder getStatusValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
      if (statusValueBuilder_ != null) {
        return statusValueBuilder_.getMessageOrBuilder();
      } else {
        return statusValue_ == null ?
            openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> 
        getStatusValueFieldBuilder() {
      if (statusValueBuilder_ == null) {
        statusValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder>(
                getStatusValue(),
                getParentForChildren(),
                isClean());
        statusValue_ = null;
      }
      return statusValueBuilder_;
    }

    private openfmb.generationmodule.GenerationStatusZGEN generationStatusZGEN_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.generationmodule.GenerationStatusZGEN, openfmb.generationmodule.GenerationStatusZGEN.Builder, openfmb.generationmodule.GenerationStatusZGENOrBuilder> generationStatusZGENBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     * @return Whether the generationStatusZGEN field is set.
     */
    public boolean hasGenerationStatusZGEN() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     * @return The generationStatusZGEN.
     */
    public openfmb.generationmodule.GenerationStatusZGEN getGenerationStatusZGEN() {
      if (generationStatusZGENBuilder_ == null) {
        return generationStatusZGEN_ == null ? openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance() : generationStatusZGEN_;
      } else {
        return generationStatusZGENBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public Builder setGenerationStatusZGEN(openfmb.generationmodule.GenerationStatusZGEN value) {
      if (generationStatusZGENBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        generationStatusZGEN_ = value;
      } else {
        generationStatusZGENBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public Builder setGenerationStatusZGEN(
        openfmb.generationmodule.GenerationStatusZGEN.Builder builderForValue) {
      if (generationStatusZGENBuilder_ == null) {
        generationStatusZGEN_ = builderForValue.build();
      } else {
        generationStatusZGENBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public Builder mergeGenerationStatusZGEN(openfmb.generationmodule.GenerationStatusZGEN value) {
      if (generationStatusZGENBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          generationStatusZGEN_ != null &&
          generationStatusZGEN_ != openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance()) {
          getGenerationStatusZGENBuilder().mergeFrom(value);
        } else {
          generationStatusZGEN_ = value;
        }
      } else {
        generationStatusZGENBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public Builder clearGenerationStatusZGEN() {
      bitField0_ = (bitField0_ & ~0x00000002);
      generationStatusZGEN_ = null;
      if (generationStatusZGENBuilder_ != null) {
        generationStatusZGENBuilder_.dispose();
        generationStatusZGENBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public openfmb.generationmodule.GenerationStatusZGEN.Builder getGenerationStatusZGENBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getGenerationStatusZGENFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    public openfmb.generationmodule.GenerationStatusZGENOrBuilder getGenerationStatusZGENOrBuilder() {
      if (generationStatusZGENBuilder_ != null) {
        return generationStatusZGENBuilder_.getMessageOrBuilder();
      } else {
        return generationStatusZGEN_ == null ?
            openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance() : generationStatusZGEN_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.generationmodule.GenerationStatusZGEN generationStatusZGEN = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.generationmodule.GenerationStatusZGEN, openfmb.generationmodule.GenerationStatusZGEN.Builder, openfmb.generationmodule.GenerationStatusZGENOrBuilder> 
        getGenerationStatusZGENFieldBuilder() {
      if (generationStatusZGENBuilder_ == null) {
        generationStatusZGENBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.generationmodule.GenerationStatusZGEN, openfmb.generationmodule.GenerationStatusZGEN.Builder, openfmb.generationmodule.GenerationStatusZGENOrBuilder>(
                getGenerationStatusZGEN(),
                getParentForChildren(),
                isClean());
        generationStatusZGEN_ = null;
      }
      return generationStatusZGENBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:generationmodule.GenerationStatus)
  }

  // @@protoc_insertion_point(class_scope:generationmodule.GenerationStatus)
  private static final openfmb.generationmodule.GenerationStatus DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.generationmodule.GenerationStatus();
  }

  public static openfmb.generationmodule.GenerationStatus getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GenerationStatus>
      PARSER = new com.google.protobuf.AbstractParser<GenerationStatus>() {
    @java.lang.Override
    public GenerationStatus parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<GenerationStatus> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GenerationStatus> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.generationmodule.GenerationStatus getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

